Skip to main content
GET
/
v1
/
agents
/
jobs
/
{agent_job_id}
/
result
/
curl --request GET \
  --url "https://api.roe-ai.com/v1/agents/jobs/YOUR_JOB_ID/result/" \
  --header "Authorization: Bearer YOUR_API_KEY"
{
  "agent_id": "123e4567-e89b-12d3-a456-426614174000",
  "agent_version_id": "456e7890-e89b-12d3-a456-426614174001",
  "inputs": [
    {
      "key": "input_text",
      "value": "Hello world",
      "data_type": "text/plain"
    }
  ],
  "input_tokens": 100,
  "output_tokens": 50,
  "outputs": [
    {
      "key": "output",
      "description": "Output JSON data",
      "data_type": "application/json",
      "value": "{\"summary\": \"hello world!\"}",
      "cost": 0.05
    }
  ]
}
curl --request GET \
  --url "https://api.roe-ai.com/v1/agents/jobs/YOUR_JOB_ID/result/" \
  --header "Authorization: Bearer YOUR_API_KEY"

Authorizations

Authorization
string
header
required

Organization API key passed as a Bearer token. This is the scheme used by the public SDK surface.

Path Parameters

agent_job_id
string<uuid>
required

Query Parameters

organization_id
string<uuid>

Organization ID. This is required for access control. It can be provided via query or request body depending on the endpoint.

Response

Agent job result with outputs, inputs, tokens and metadata

agent_id
string<uuid>
required

The ID of the base agent

agent_version_id
string<uuid>
required

The ID of the agent version

inputs
any[]
required

The input data provided to the agent

input_tokens
integer | null
required

Number of input tokens used

output_tokens
integer | null
required

Number of output tokens generated

outputs
object[]
required

The output data from the agent